Skip to main content
GET
/
packages
/
{package_id}
Get One Package
curl --request GET \
  --url https://api.swoogo.com/api/v1/packages/{package_id} \
  --header 'Authorization: Bearer <token>'
{
  "admin_short_name": "",
  "capacity": null,
  "created_at": "2017-01-20 09:59:39",
  "description": "",
  "id": 1,
  "max_group_size": null,
  "min_group_size": null,
  "name": "Gold Package",
  "public_short_name": "",
  "sold_out_message": "Sold Out",
  "updated_at": "2017-05-26 14:44:05"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

package_id
integer
required

integer - required - The ID of the package you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,public_short_name,admin_short_name,description,capacity,sold_out_message,min_group_size,max_group_size,created_at,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Package

admin_short_name
string
Example:

""

capacity
unknown
created_at
string
Example:

"2017-01-20 09:59:39"

description
string
Example:

""

id
number
Example:

1

max_group_size
unknown
min_group_size
unknown
name
string
Example:

"Gold Package"

public_short_name
string
Example:

""

sold_out_message
string
Example:

"Sold Out"

updated_at
string
Example:

"2017-05-26 14:44:05"